@import "/css/mobile.css";
@import "/css/anifetch.css";
@import "/css/entry.css";
@import "/css/form.css";
@import "/css/home.css";
@import "/css/land.css";
@import "/css/profile.css";
@import "/css/style.css";
@import "/css/shop.css";
@import "/css/panel.css";
@import "/css/progressbar.css";
@import "/css/contact.css";

@font-face {
    font-family: SFPro_Text_Light;
    src: url("../../fonts/SF Pro/SF-Pro-Text-Light.otf");
}

@font-face {
    font-family: SFPro_Text_Regular;
    src: url("../../fonts/SF Pro/SF-Pro-Text-Regular.otf");
}

@font-face {
    font-family: SFPro_Text_Medium;
    src: url("../../fonts/SF Pro/SF-Pro-Text-Medium.otf");
}

@font-face {
    font-family: SFPro_Text_Bold;
    src: url("../../fonts/SF Pro/SF-Pro-Text-Bold.otf");
}

:root {
    --border-rad: 0.5rem;
    --light-grey: #d8d8d8;
    --dark-grey: #303030;
    --link-text-color: #00a64a;
    --yellow: #ffbd2e;
    --blue: #00a1d3;
    --green: #41a350;
    --red: #ff4500;
    --idle-orange: #e65c00;
    --reserve-violet: #a558de;
}

* {
    font-family: SFPro_Text_Regular;
    color: #424242;
}

    *::selection {
        background: #88ca3c;
        color: #fff;
        text-shadow: initial;
        -webkit-font-smoothing: antialiased;
    }

input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 30px white inset;
}

a[itemprop="item"] span[itemprop="name"] {
    font-family: SFPro_Text_Medium;
    color: #424242;
}

li[itemprop="itemListElement"] span[itemprop="name"] {
    font-family: SFPro_Text_Medium;
}

body {
    /*font-family: 'PT Sans Caption', sans-serif;*/
    font-size: 16px;
    font-weight: 300;
    margin: 0;
    background-color: #e4e4e4;
    padding-top: 2.9rem !important;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    min-height: calc(100vh - 2.9rem);
}

sub {
    position: absolute;
    margin-top: 4px;
}

body.hideover {
    overflow: hidden;
}

#menuDiv {
    width: 100%;
    height: 2px;
    background: #7b7b7b;
    margin: 5px 0;
    display: none;
}

.over_in .c_container {
    margin: 0.3rem auto 1rem auto;
    width: fit-content;
}

.over_in .btn_stop {
    background-color: #cc4f49;
    border-color: #cc4f49;
}

.over_in .circle .title,
.over_in .circle_yellow .title,
.over_in .circle_green .title {
    font-size: 1.8rem;
    font-weight: 500;
    font-family: SFPro_Text_Bold;
}

.over_in .circle .text,
.over_in .circle_yellow .text,
.over_in .circle_green .text {
    font-size: 0.9rem;
}

.over_in .circle {
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    border-radius: 50%;
    width: 120px;
    height: 120px;
    text-align: center;
}

    .over_in .circle.blue {
        animation: charging 3s infinite;
        border: 1rem solid #75c7ff;
        box-shadow: inset 0px 1px 7px 0px #9a9a9ac7, 0px 2px 7px 0px #9a9a9ac2;
    }

    .over_in .circle.yellow {
        border: 1rem solid #ffbd2e;
        box-shadow: inset 0px 1px 7px 0px #9a9a9ac7, 0px 2px 7px 0px #9a9a9ac2;
    }

    .over_in .circle.red {
        border: 1rem solid #ff4500;
        box-shadow: inset 0px 1px 7px 0px #9a9a9ac7, 0px 2px 7px 0px #9a9a9ac2;
    }

    .over_in .circle.gray {
        border: 1rem solid #737373;
        box-shadow: inset 0px 1px 7px 0px #9a9a9ac7, 0px 2px 7px 0px #9a9a9ac2;
    }

        .over_in .circle.gray > div {
            background-size: 73px !important;
            background-position: 50% 47% !important;
        }

    .over_in .circle.green {
        border: 1rem solid #41a250;
        box-shadow: inset 0px 1px 7px 0px #9a9a9ac7, 0px 2px 7px 0px #9a9a9ac2;
    }

    .over_in .circle.purple {
        animation: reservation 3s infinite;
        border: 1rem solid #a158dd;
        box-shadow: inset 0px 1px 7px 0px #9a9a9ac7, 0px 2px 7px 0px #9a9a9ac2;
    }

.over_in ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

.over_in blockquote .prop {
    color: #2b2b2b;
    font-weight: bold;
    margin-right: 0.2rem;
    font-size: 0.9rem;
}

.over_in .s_fisrt {
    display: flex;
    justify-content: space-between;
}

.over_in .s_info ul {
    margin-top: 0.8rem;
}

#sess_report .s_info ul {
    margin-top: 0.8rem;
}

.over_in .s_info label {
    font-weight: 500;
    font-size: 0.9rem;
    margin-right: 0.2rem;
}

.over_in .s_info .prop,
.s_fisrt .prop {
    color: #424242;
    font-weight: bold;
    margin-right: 0.2rem;
    font-size: 0.9rem;
    font-family: SFPro_Text_Bold;
}

.over_in .s_info span,
.s_fisrt span {
    color: #404040;
    font-size: 0.9em;
}

.sorting {
    background-image: url(../img/arrow-up.png);
    background-size: contain;
    width: 14px;
    height: 16px;
    display: inline-block;
    margin-bottom: -4px;
    margin-right: 5px;
    background-position: center;
    background-repeat: no-repeat;
}

    .sorting.down {
        transform: rotateZ(180deg);
    }

@keyframes charging {
    0% {
        border: 1rem solid #75c7ff;
    }

    50% {
        border: 1rem solid #4a86af;
    }

    100% {
        border: 1rem solid #75c7ff;
    }
}

@keyframes reservation {
    0% {
        border: 1rem solid #a158dd;
    }

    50% {
        border: 1rem solid #713c9b;
    }

    100% {
        border: 1rem solid #a158dd;
    }
}

.hidden {
    display: none !important;
}

h1,
h2,
h3 {
    font-weight: 100;
    font-family: SFPro_Text_Bold;
    color: #424242;
    margin: 10px 0 26px 0;
    line-height: 24px;
}

.noselect {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.flex-strip {
    display: flex;
    width: calc(100% - 4rem);
    justify-content: space-around;
    /*max-width: 900px;*/
}

.flex-strip-around {
    justify-content: space-around;
}

.box-shadow {
    box-shadow: 0 0 3px 0px #9a9a9a;
}

.auto-overflow {
    overflow: auto;
}

/* content */
.content {
    margin: 0 auto;
    /*width: 85%;*/
    width: 90%;
}

/* cell-table */
.cell-table {
    box-shadow: none;
}

/* menu */

.menu {
    padding: 0;
    list-style: none;
    font-size: 0;
    display: flex;
    color: #fff;
}

    .menu li,
    .menu li div {
        margin-left: 1px;
        color: white;
    }

    .menu .drop_menu li {
        display: inline-block;
        margin-left: 0;
    }

/* other */

.flex-right {
    justify-content: flex-end !important;
}

.hr {
    height: 1px;
    background: #525252;
    margin-top: 0.3rem;
}

/* breadcrumbs nav */

.navbar {
    padding: 0;
    margin: 2rem 0 1rem 0;
    list-style: none;
    font-size: 0;
    /*white-space: nowrap;*/
    overflow: hidden;
}

    .navbar a,
    .navbar li > span {
        font-size: 0.9rem;
        font-weight: 400;
    }

    .navbar li:last-child > span {
        color: #41a350;
    }

    .navbar a:hover {
        border-bottom: 1px dashed;
        color: #545454;
    }

    .navbar li {
        display: inline-block;
    }

        .navbar li:nth-child(1) {
            margin-right: 1rem;
        }

        .navbar li:nth-child(n + 2) {
            margin-right: 1rem;
            padding-left: 1.1rem;
        }

            .navbar li:nth-child(n + 2)::before {
                content: "";
                background-image: url(../img/icons/frwd.png);
                width: 0.6rem;
                height: 0.6rem;
                background-size: contain;
                margin: 0.2rem 0.7rem 0 -1.3rem;
                display: inline-block;
            }

/*
	Header
*/

.drop_menu {
    margin-top: 20px;
    opacity: 0;
    display: block;
    visibility: hidden;
    transition: opacity 0.3s ease-out, visibility 0.3s ease-out, margin-top 0.3s ease-out;
}

    .drop_menu:hover {
        opacity: 1;
        visibility: visible;
        margin-top: 7px;
    }

.button-for-drop-area:hover > .drop_menu {
    opacity: 1;
    visibility: visible;
    margin-top: 7px;
}

.drop_menu a {
    padding: 1.5em 0rem !important;
    margin: 0em 1.3em !important;
    white-space: nowrap;
    border-top: 3px solid transparent !important;
    border-right: 0px solid;
    border-left: 0px solid;
    border-bottom: 3px solid transparent !important;
}

.full-round-border {
    border-radius: 0.5rem 0.5rem 0.5rem 0.5rem;
}

.round-border-top {
    border-radius: 0.5rem 0.5rem 0rem 0rem;
}

.round-border-bottom {
    border-radius: 0rem 0rem 0.5rem 0.5rem;
}

.menu > li:hover:after {
    background: #41a350;
}

.header.open .menu > li:hover:after {
    background: transparent;
}

.menu > li {
    position: relative;
}

    .menu > li:after {
        content: '';
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        background: transparent;
        height: 7px;
        border-radius: 0.5rem 0.5rem 0 0;
    }







.header {
    background-color: rgba(48, 48, 48, 1);
    border-radius: 0rem 0rem 0.7rem 0.7rem;
    color: white;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 9999;
    height: 4.2rem;
}

    .header.open {
        background-color: rgba(60, 60, 60, 0.9) !important;
        border-radius: 0rem 0rem 0rem 0rem;
        height: 100vh;
    }

        .header.open a {
            color: white;
        }

        .header.open .menu {
            display: block;
            margin-top: 4rem;
            flex-grow: 1;
        }

            .header.open .menu li {
                display: block;
            }

            .header.open .menu a {
                display: block;
                margin: 0px !important;
                padding: 16px 0px !important;
            }

            .header.open .menu li a::after {
                content: none;
            }

            .header.open .menu li a:hover {
                background-color: transparent;
                color: #a5a5a5;
            }

        .header.open .content {
            justify-content: center !important;
        }

        .header.open .drop_menu {
            margin-top: 0px;
            opacity: 1 !important;
            display: block;
            visibility: visible;
        }

        .header.open a:hover {
            color: #a5a5a5;
        }

        .header.open #lang_drop_menu {
            display: none;
        }


    .header .content {
        display: flex;
        justify-content: space-between;
        width: 90%;
        height: 100%;
    }

        .header .content .logo {
            display: flex;
            font-size: initial;
            padding: 0;
            align-self: baseline !important;
        }

            .header .content .logo:hover {
                background-color: initial;
            }

            .header .content .logo img {
                align-self: center;
                width: 2.4rem;
                margin-top: 3px;
            }

            .header .content .logo div:nth-child(2) {
                position: absolute;
                margin: 0 0 0 2.9rem;
                font-size: 1.6rem;
                top: 14px;
                color: white;
            }

            .header .content .logo div:last-child {
                position: absolute;
                margin: 2.6rem 0 0 2.95rem;
                font-size: 0.6rem;
                color: white;
            }

    .header .filter_menu {
        visibility: hidden;
        display: block;
    }

    .header.open .filter_menu {
        display: none;
    }

    .header a {
        font-size: 0.9rem;
        padding: 1.5em 0.8rem;
        display: inline-block;
    }



    .header .active:after {
        content: '';
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        background: #41a350;
        height: 7px;
        border-radius: 0.5rem 0.5rem 0 0;
    }

    .header.open .active:after {
        background: transparent;
    }

.drop_menu a:hover {
    /*background-color: #41a350;*/
    /*border: 1px solid #41a350 !important;*/
    cursor: pointer;
    border-bottom: 3px solid #41a350 !important;
}

.header a:hover::after {
    border: none !important;
}

.header li:last-child a::after {
    border: none;
}

.header.open a {
    padding: 1rem 0;
}

/*
	Footer

	bk:
		https://www.transparenttextures.com/patterns/binding-dark.png
		https://www.transparenttextures.com/patterns/dark-denim.png
		https://www.transparenttextures.com/patterns/dirty-old-black-shirt.png
*/
.footer {
    flex-grow: 1;
    display: flex;
    justify-content: flex-end;
    flex-direction: column;
    color: #dadada;
    background-color: rgb(48, 48, 48);
}

.bk {
    border-radius: 0.7rem 0.7rem 0rem 0rem;
}

.footer li,
.footer i,
.footer span {
    color: #e8e8e8 !important;
}

.footer::before {
    content: "";
    background-color: #e4e4e4;
    flex-grow: 1;
}

.footer .in_f {
    padding: 2rem 0;
    max-width: 1200px;
    margin: auto;
}

.footer .content {
    display: flex;
    justify-content: space-between;
}

.footer .col .title {
    font-family: SFPro_Text_Regular !important;
    display: inline-block;
    border-bottom: 1px solid #5a5555;
    font-weight: 400;
    font-size: 0.9rem;
    padding: 0 0 0.5rem 0;
    color: white;
}

.footer .col ul {
    margin: 0;
    padding: 0;
    list-style: none;
    color: #afafaf;
    font-size: 0.8rem;
    margin: 0.5rem 0 0 0;
    line-height: 1rem;
}

    .footer .col ul li:nth-child(n + 2) {
        margin-top: 0.3rem;
    }

    .footer .col ul li._phone div {
        display: inline-block;
        margin: 0;
    }

.footer .contact .title {
    border-bottom: 1px solid #5a5555;
    margin-bottom: 1rem;
    text-align: center;
}

.footer .contact ul {
    margin: 0;
    padding: 0;
    list-style: none;
    color: #afafaf;
    font-size: 0.8rem;
}

    .footer .contact ul li:nth-child(n + 2) {
        margin-top: 0.8rem;
    }

.footer .contact .fa {
    margin-right: 0.3rem;
}

.footer .contact ._phone {
    display: flex;
    align-items: baseline;
}

.footer .col a:hover {
    color: #e8e8e8;
}

.footer .footline {
    text-align: center;
    font-size: 0.8rem;
    margin-top: 3rem;
    color: #ececec;
}

/* additional */
.content.padding {
    padding: 1rem 0 5rem 0;
}

h1.title,
h2.title,
.about h1,
.about h2 {
    font-size: 34px;
    font-family: SFPro_Text_Bold;
    font-weight: 100;
    margin: 2rem 0;
    text-align: center;
}

    .content p.txt-div::before,
    .about h1::after,
    .about h2::after {
        content: "";
        width: 200px;
        height: 1px;
        background-color: #8c8c8c;
        position: absolute;
        left: calc(50% - 100px);
        margin-top: 3.3rem;
    }

p {
    text-align: justify;
}

/* ham menu */
.ham {
    background-image: url("../img/icons/hammenu.png");
    background-size: 35% 45%;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    width: 3.1rem;
    height: 3.1rem;
    display: none;
    cursor: pointer;
    padding: 6.6px;
}

    .ham.white {
        background-image: url("../img/icons/hammenu_w.png");
    }

/* filter menu */
.filter_menu {
    /* background-image: url("../img/icons/filter.png");*/
    background-size: 60%;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    width: 3rem;
    display: none;
    cursor: pointer;
}

.filter_icon {
    position: relative;
    top: 49%;
    left: 25%;
    transform: translate(-50%, -50%);
    font-size: 1.3rem;
    color: #d8d8d8;
}

.filter_icon_green {
    position: relative;
    top: 49%;
    left: 25%;
    transform: translate(-50%, -50%);
    font-size: 1.3rem;
    color: #41a350;
}

/* table */
table .in_dsc {
    display: none;
    font-weight: bold;
    font-size: 14px;
}

/* Pagination */
.pagination {
    font-size: 0;
    display: flex;
    justify-content: center;
    flex-direction: row;
}

.payments .pagination {
    margin-top: 1rem;
}

.payments.profile .date-menu {
    margin-left: 0;
}

.pagination a {
    padding: 0.5rem 1rem;
    /*background-color: #e0e0e0;*/
    font-size: 0.9rem;
    font-weight: bold;
    cursor: pointer;
}

.pagination .pages a {
    padding: 0.5rem 1rem;
    font-size: 0.9rem;
    font-weight: bold;
}

.pagination:not(.apple) a:hover:not(.fill) {
    /*background-color: #cccccc;*/
    color: #41a350;
}

.pagination a.fill {
    cursor: default;
}

.pagination .active {
    /*background-color: #60bbff;*/
    /*color: #fff;*/
    color: #41a350;
}

.pagination .goto > a:first-child,
.pagination .pages > a:first-child {
    border-radius: 0.2rem 0 0 0.2rem;
}

.pagination > .pages a:last-child,
.pagination .goto > a:last-child {
    border-radius: 0 0.2rem 0.2rem 0;
}

.swal2-container {
    z-index: 9999999 !important;
}

button.swal2-confirm,
.swal2-confirm.button {
    background-color: #41a350 !important;
    border-color: #41a350 !important;
}

button.swal2-cancel,
.swal2-cancel.button {
    background-color: #cc4f49 !important;
    border-color: #cc4f49 !important;
}

/* Status colors */
.dashboard .sstat.status-6,
.dashboard .station.status-6 .title {
    background-color: #4b4b4b !important;
    color: white;
}

/*.dashboard .status-6.radio span {
    background-color: #4b4b4b !important;
}*/

/*.dashboard .status-6.radio div {
    border-color: #4b4b4b !important;
}*/

.sstat.status-1,
.station.status-1 .title,
.sstat.status-6,
.station.status-6 .title {
    background-color: #4b4b4b;
    color: white;
}

.sstat.status-7,
.station.status-7 .title {
    background-color: #7d7d7d;
    color: white;
}

.status-1.radio span {
    background-color: #4b4b4b !important;
}

.status-1.radio div,
.status-6.radio div {
    border-color: #4b4b4b !important;
}

.station.status-1 .title p,
.station.status-6 .title p {
    color: white;
}

.sstat.status-2,
.station.status-2 .title {
    background-color: #41a350;
    color: white;
}

.status-2.radio span {
    background-color: #41a350 !important;
}

.status-2.radio div {
    border-color: #41a350 !important;
}

.station.status-2 .title p {
    color: white;
}

.sstat.status-3,
.station.status-3 .title {
    background-color: #00a1d3;
    color: white;
}

.status-3.radio span {
    background-color: #00a1d3 !important;
}

.status-3.radio div {
    border-color: #00a1d3 !important;
}

.status-6.radio span {
    background-color: #fdad01 !important;
}

.status-6.radio div {
    border-color: #fdad01 !important;
}

.station.status-3 .title p {
    color: white;
}

.sstat.status-4,
.station.status-4 .title {
    background-color: #cc4f49;
    color: white;
}

.status-4.radio span {
    background-color: #cc4f49 !important;
}

.status-4.radio div {
    border-color: #cc4f49 !important;
}

.station.status-4 .title p {
    color: white;
}

.sstat.status-5,
.station.status-5 .title {
    background-color: #a558de;
    color: white;
}

.status-5.radio span {
    background-color: #a558de !important;
}

.status-5.radio div {
    border-color: #a558de !important;
}

.station.status-5 .title p {
    color: white;
}

.sstat.status-6,
.station.status-6 .title {
    background-color: #e9ab25;
    color: white;
}

    /*.status-6.radio span {
    background-color: #e9ab25 !important;
}

.status-6.radio div {
    border-color: #e9ab25 !important;
}*/

    .station.status-6 .title p {
        color: white;
    }

.sstat.border.status-1 {
    border-color: #bdbdbd;
}

.sstat.border.status-2 {
    border-color: #41a350;
}

.sstat.border.status-3 {
    border-color: #00a1d3;
}

.sstat.border.status-4 {
    border-color: #ea4e47;
}

.sstat.border.status-5 {
    border-color: #a558de;
}

.sstat.border.status-6 {
    border-color: #e9ab25;
}

.ptype.add,
.ptype.paid {
    color: #0bad20;
}

.ptype.hold,
.ptype.reversed {
    color: #FF9800;
}

.ptype.spent,
.ptype.error {
    color: #ad0b0b;
}

.ptype.reserv,
.ptype.holded {
    color: #00a1d3;
}


/*
    datepicker
*/
.qs-datepicker-container {
    border-radius: 0.2rem;
    border: 1px solid #41a34d;
    box-shadow: initial;
}

    .qs-datepicker-container .qs-arrow {
        padding: 1rem;
    }

    .qs-datepicker-container .qs-left {
        border-radius: 0.2rem 0 0 0;
    }

    .qs-datepicker-container .qs-controls {
        background-color: #41a34d;
        color: #fff;
    }

    .qs-datepicker-container .qs-arrow.qs-left:after {
        border-right-color: #fff;
    }

    .qs-datepicker-container .qs-arrow.qs-right:after {
        border-left-color: #fff;
    }

    .qs-datepicker-container .qs-active {
        background-color: rgba(65, 163, 77, 0.5);
    }

    .qs-current {
        text-decoration: none;
    }

    .qs-overlay .qs-overlay-month,
    .qs-overlay .qs-submit {
        color: white;
    }

    .qs-event:after {
        background: var(--green);
    }

#seo-text {
    position: absolute;
    bottom: 0;
    overflow: hidden;
    height: 11rem;
    padding: 0 16px;
    /*background-color: #ffffff;*/
    /*z-index: -100;
    color: #e4e4e4;
    opacity: 0;*/
}

    #seo-text .hover {
        padding: 0.5rem;
        position: absolute;
        background: #303030;
        left: 0;
        right: 0;
        height: 2rem;
        bottom: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer;
        color: #ececec;
    }

#seo_box {
    /*padding-bottom: 11rem;*/
    position: relative;
}

.qs-datepicker {
    border-top-left-radius: 0 !important;
    border-top-right-radius: 0 !important;
}

.vl {
    height: 80%;
    border-left: 2px solid var(--light-grey);
}

/*
 * Adaptive
 */
@media (min-width: 1361px) {
    .header .content .logo img {
        margin-top: 0.9rem;
    }
}

/* 1200 */
@media (max-width: 1200px) {
    .content {
        width: 90%;
    }

    .dashboard.nav {
        width: 90%;
    }

    /* 1000 */
    @media (max-width: 1000px) {
        #_client_profile li {
            white-space: nowrap;
        }

        #_client_profile .active_link .ava {
            display: inline-block;
        }

        h1 {
            font-size: 30px !important;
            line-height: 30px;
        }

        .cell-table .head {
            display: none;
        }

        .cell-table tr:nth-child(n + 2) td {
            border-bottom: 1px solid #dadada;
            display: flex;
            align-items: center;
        }

        .cell-table tr.div:nth-child(n + 3) {
            display: block;
            height: 2rem;
            background-color: #e4e4e4;
            visibility: hidden;
        }

        .cell-table tr:nth-child(2n + 3) {
            box-shadow: 0 0 3px 0px #9a9a9a;
        }
    }

    /* 800 */
    @media (max-width: 800px) {
        .header .filter_menu {
            visibility: visible;
        }

        .header .open .drop_menu {
            top: 0 !important;
            left: 0;
            width: 100%;
            height: 100%;
            z-index: 10;
            padding-top: 3rem;
            padding-left: 0;
            margin-left: 0;
            display: flex;
            justify-content: center;
        }

            .header .open .drop_menu .back {
                display: block;
                position: fixed;
                top: 1rem;
                padding-left: 0;
                width: 2rem;
                height: 2rem;
                cursor: pointer;
            }

        h2 {
            font-size: 28px;
        }

        .home > .filter {
            position: absolute;
            visibility: hidden;
            width: 100%;
            margin-right: 0;
            left: 0;
        }

        .home .filter.open {
            width: 100%;
            visibility: initial;
        }

        .gmp_fix {
            height: calc(100vh - 3rem);
            /*top: 3rem;*/
        }

        .filter:not(.open) .range .output {
            display: none;
        }
    }

    /* 700 */
    @media (max-width: 700px) {
        .content {
            width: calc(100% - 2rem) !important;
        }

        .dashboard.nav {
            width: calc(100% - 2rem) !important;
        }

        .content.padding {
            padding: 0rem 0 3rem 0;
        }

        .footer .content {
            flex-direction: column;
        }

        .footer .in_f {
            padding: 2rem 0 2rem 0;
        }

        .footer .content div:nth-child(n + 2) {
            margin-top: 1rem;
        }

        .footer .content .col {
            width: initial;
        }

        .footer .contact .title {
            margin-top: 1rem;
            display: inline-block;
        }

        .pagination .goto:first-of-type,
        .pagination .goto:last-of-type {
            margin: 0;
        }

        .pagination .goto:first-child a:last-child,
        .pagination .pages a:first-child,
        .pagination .pages a:last-child,
        .pagination .goto:last-child a:first-child {
            margin: 0;
            border-radius: 0;
        }
    }

    /* 600 */
    @media (max-width: 600px) {
        .pagination a {
            padding: 0.5rem 0.5rem;
        }
    }
}

/*connector colors*/

/*black*/
img.connector-port {
    filter: brightness(0%);
}

/*green*/
img.available-port {
    filter: invert(38%) sepia(42%) saturate(5428%) hue-rotate(132deg) brightness(97%) contrast(102%);
}

/*yellow*/
img.cableplugged-port,
img.portidle-port {
    filter: invert(67%) sepia(85%) saturate(2024%) hue-rotate(359deg) brightness(100%) contrast(103%);
}

/*grey*/
img.chargingdone-port {
    filter: invert(60%) sepia(25%) saturate(208%) hue-rotate(175deg) brightness(92%) contrast(82%);
}

/*black*/
img.construction-port {
    filter: brightness(0%);
}

/*black*/
img.disabled-port {
    filter: brightness(0%);
}

/*red*/
/*black*/
img.emergencystop-port {
    filter: invert(41%) sepia(78%) saturate(3498%) hue-rotate(339deg) brightness(103%) contrast(84%);
}

/*black/red?*/
img.failed-port {
    filter: invert(41%) sepia(78%) saturate(3498%) hue-rotate(339deg) brightness(103%) contrast(84%);
}

/*black*/
img.maintance-port {
    filter: brightness(0%);
}

/*black*/
img.nopower-port {
    filter: brightness(0%);
}

/*blue*/
img.occupied-port {
    filter: invert(43%) sepia(100%) saturate(2560%) hue-rotate(166deg) brightness(100%) contrast(101%);
}

/*yellow*/
img.preparing-port {
    filter: invert(67%) sepia(85%) saturate(2024%) hue-rotate(359deg) brightness(100%) contrast(103%);
}

/*purple*/
img.reserved-port {
    filter: invert(50%) sepia(39%) saturate(7457%) hue-rotate(256deg) brightness(93%) contrast(94%);
}

/*grey*/
img.unknown-port {
    filter: invert(60%) sepia(25%) saturate(208%) hue-rotate(175deg) brightness(92%) contrast(82%);
}

/*lime*/
/*img.unknown-port{
    filter: invert(77%) sepia(18%) saturate(6816%) hue-rotate(26deg) brightness(97%) contrast(101%);
}*/
/*sea wave*/
/*img.unknown-port {
    filter: invert(48%) sepia(17%) saturate(5138%) hue-rotate(138deg) brightness(88%) contrast(77%);
}*/
/*pink*/
img.updating-port {
    filter: invert(17%) sepia(91%) saturate(6701%) hue-rotate(296deg) brightness(106%) contrast(120%);
}

#circle_wnone > div:nth-child(1) {
    filter: invert(67%) sepia(85%) saturate(2024%) hue-rotate(359deg) brightness(100%) contrast(103%);
}

.content .form-register {
    position: relative;
    width: 100%;
    display: flex;
}

    .content .form-register .form-left {
        width: 100%;
    }

    .content .form-register .form-right {
        width: 100%;
    }

/* Скрыть все шаги по умолчанию: */
.tab {
    display: none;
}

/* Отметьте поля ввода, которые получают ошибку при проверке: */
input.invalid {
    background-color: #ffdddd;
}

#checkAlert {
    font-weight: 200;
}

/*.gm-style > div > div {
    background: rgb(45, 45, 46, 0.7);
}*/

table.report-table tbody {
    position: relative;
}

td.sessModal,
td.sessModal > div,
div.sessModal,
td.paymentModal,
div.paymentModal {
    color: var(--link-text-color);
    cursor: pointer;
}

    td.sessModal:hover,
    div.sessModal:hover {
        text-decoration: underline dotted;
    }

    td.sessModal.idle-sess::before,
    div.sessModal.idle-sess::before {
        /*Bolt Park*/
        font: var(--fa-font-solid);
        content: "\e265\ \f540";
        font-size: 16px;
        background: linear-gradient(to right, var(--link-text-color) 0 50%, var(--blue) 50% 100%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

.session-chart-btn {
    margin-top: 0.25rem;
    padding: 0.25rem 0;
}

.session-chart-btn>i {
    color: lightgray;
}

.session-chart-btn:hover>i {
    color: #41a350;
}

select.modal-form-input {
    max-width: 205px;
}

/*#region Custom select*/
.option-row {
    display: flex;
    flex-direction: column;
}

    .option-row .row-tariff-type {
        position: relative;
        margin: -10px 0px;
        top: 1.25rem;
    }

    .option-row .row-tariff-id {
        padding-left: 1rem;
    }

    .option-row .row-tariff-description {
        padding-left: 1rem;
    }

    .option-row .row-tariff-comment {
        padding-left: 1rem;
        color: grey;
        text-wrap: auto;
    }

.jq-dropdown {
    max-height: 300px;
    overflow-y: auto;
    background-color: #fff;
    border-radius: 0.5rem;
    border: 0.15rem solid #dfdfdf;
}

.dropdown-input {
    display: grid;
    grid-template-columns: auto 1fr;
    column-gap: 0.5rem;
    padding: 0.5rem;
    padding-right: 2rem;
    margin: 0.5rem 0 !important;
    border: 0.15rem solid #dfdfdf;
    border-radius: 0.5rem;
    outline: none;
    font-family: SFPro_Text_Bold;
    cursor: pointer;
    background-color: #fff;
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    background-image: url(../img/icons/dropdn.png);
    background-repeat: no-repeat;
    background-position: calc(100% - 0.5rem);
    color: #424242;
}

    .dropdown-input > div:first-child,
    .dropdown-item > div:first-child {
        grid-row-start: 1;
        grid-row-end: 4;
    }

ul.jq-dropdown-menu {
    border: unset !important;
}

.dropdown-item {
    display: grid;
    grid-template-columns: auto 1fr;
    column-gap: 0.5rem;
}

.jq-dropdown.jq-dropdown-tip:after {
    display: none !important;
}

.bold-title {
    font-family: SFPro_Text_Bold;
}

/* scroll in dropdown */

.jq-dropdown::-webkit-scrollbar-track {
    border-radius: 0.5rem;
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

.jq-dropdown::-webkit-scrollbar {
    width: 8px;
    border-radius: 0.5rem;
    background-color: rgb(255 255 255);
}

.jq-dropdown::-webkit-scrollbar-thumb {
    border-radius: 0.5rem;
    background-color: #555;
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

/*#endregion*/

/*#region scroll to top button*/

#back2Top {
    width: 40px;
    line-height: 40px;
    overflow: hidden;
    z-index: 999;
    display: none;
    cursor: pointer;
    -moz-transform: rotate(270deg);
    -webkit-transform: rotate(270deg);
    -o-transform: rotate(270deg);
    -ms-transform: rotate(270deg);
    transform: rotate(270deg);
    position: fixed;
    bottom: 50px;
    right: 25px;
    background-color: #DDD;
    color: #4b4b4b;
    text-align: center;
    font-size: 30px;
    text-decoration: none;
    border-radius: 0.5rem;
}

    #back2Top:hover {
        /*background-color: #DDF;*/
        /*color: #000;*/
        background-color: #41a350;
        color: #e4e4e4;
    }

/*#endregion*/

/*#region Charging session modal*/
.charging-session-modal-container tr.section-header::before {
    position: absolute;
    left: 0;
    width: 90%;
    content: attr(headertext);
    padding-top: 0.5rem;
    margin-left: 1.6em;
    margin-right: 1.6em;
    border-top: 2px lightgray solid;
    font-family: 'SFPro_Text_Bold';
}

.charging-session-modal-container tr.section-header {
    display: flex !important;
}

    .charging-session-modal-container tr.section-header td,
    .charging-session-modal-container tr.section-header th {
        visibility: hidden;
    }

.ChargePriceDetales th span{
    cursor: pointer;
    border-bottom: 1px dashed gray;
}

.ChargePriceDetales th span:hover{
    border-bottom: 1px solid gray;
}
    
.payment-items-table {
    width: 100%;
}

/*#endregion*/

/*#region Payment modal*/
table.payment-modal-table {
    width: 100%;
    font-size: 16px;
    border-spacing: 0 0.5rem;
}

.payment-modal-table th {
    text-align: start;
    width: 150px;
}

.payment-modal-table td {
    text-align: end;
}

table.payment-modal-table tr.last-item-data:not(:last-child) > * {
    padding-bottom: 0.5rem;
    border-bottom: 2px lightgray solid;
}

/*#endregion*/

.tooltip_templates {
    display: none;
}

/*.tooltipster-sidetip .tooltipster-box {
    background: #ffffff;
    border: 2px solid #e4e4e4;
    border-radius: 0.5rem;
    box-shadow: 0 2px 10px 0 rgba(0, 0, 0, .14);
}*/

.tooltipster-sidetip.tooltipster-shadow.tooltipster-shadow-customized .tooltipster-box {
    background: #fff;
    border-radius: 12px;
    box-shadow: 0 2px 10px 0 rgba(0,0,0,.14)
}

.tooltipster-base {
    opacity: 0;
    position: absolute
}

.tooltipster-show {
    opacity: 1
}

.tooltipster-dying {
    opacity: 0
}

.schedule-interval {
    margin-right: 0.5rem;
}

    .schedule-interval.open {
        color: #e9ab25;
    }

    .schedule-interval.closed {
        color: #cc4f49;
    }

.schedule-icon {
    color: #ff4500;
    margin-left: 0.5rem;
    display: none
}

.clipboard-copy {
    cursor: pointer;
    text-decoration: solid;
    text-decoration-line: underline;
    text-decoration-color: gray;
}

/* .clipboard-copy::after {
    display: block;
    position: relative;
    right: 0;
    content: "Copied";
    text-decoration: none !important;
    visibility: hidden;
} */

.clipboard-copy:hover {
    text-decoration: none;
}

.clipboard-copy:hover::before {
    font: var(--fa-font-solid);
    content: "\f328";
    font-size: 16px;
    margin-left: 16px;
    margin-right: 0.5rem;
    text-decoration: none;
}

.informer-container {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: center;
    background-color: #f5f5f5;
    border-radius: 0.5rem;
}

.informer-container>div {
    flex: 1;
    width: 100%;
}

.informer-container .informer-header {
    color: #fff;
    padding: 0.5rem 0;
    border-radius: 0.5rem 0.5rem 0 0;
    text-align: center;
    font-weight: 400;
    max-height: fit-content;
}

.informer-container .informer-body {
    padding: 0.5rem 0;
    text-align: center;
    font-weight: 400;
}

.informer-container .informer-body.multiple {
    display: flex;
    flex-direction: row;
}

.informer-container .informer-body .informer-value-container {
    flex: 1;
    display: flex;
    flex-direction: column;
}

.informer-container .informer-body .informer-value-container .informer-value {
    font-size: 1.2rem;
    font-weight: 400;
}

.informer-container .informer-body .informer-value-container .informer-units {
    font-size: 0.8rem;
}

.checkbox-menu-container {
    display: inline-block;
    position: absolute;
    right: 0;
    /* opacity: 50%; */
}

.checkbox-menu-button {
    padding: 6px 10px;
    font-size: 16px;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* min-width: 200px; */
    /* background-color: #4CAF50; */
    /* color: white; */
}

.checkbox-menu-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 250px;
    width: fit-content;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    border-radius: 5px;
    margin-top: 5px; /* Space between button and dropdown */
    right: 0px;
}

.checkbox-menu-content label.checkbox-menu-option {
    color: black;
    padding: 8px 16px;
    text-decoration: none;
    cursor: pointer;
    /* display: block; */
    display: flex;
    align-items: center;
    gap: 8px;
    width: fit-content;
}

.checkbox-menu-content label.checkbox-menu-option > label {
    width: 55px;
}

.checkbox-menu-content label.checkbox-menu-option:hover {
    background-color: #f1f1f1;
}

.access-rights-container {
    display: flex;
    flex-direction: column;
}

.access-rights-container table {
    width: 100%;
}

.green-text {
    color: var(--green);
}

.blue-text {
    color: var(--blue);
}

.red-back {
    background-color: var(--red);
}

.blue-back {
    background-color: var(--blue);
}

.green-back {
    background-color: var(--green);
}

.white-icon-button > i {
    color: white;
}

textarea.consolas {
    font-family: Consolas, "Courier New", monospace;
    font-size: 14px;
}